package com.syc.slm.slmbi.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.syc.slm.slmbi.entity.InstrumentPanelTree;
import com.syc.slm.slmbi.vo.PanelTreeNodeVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Set;

/**
 * 仪表板树聚合表
 *
 * @author lin
 * @date 2021-04-01 10:52:44
 */
@Component
public interface InstrumentPanelTreeMapper extends BaseMapper<InstrumentPanelTree> {

    void batchUpdateTreeByIds(@Param("treeIds") Set<String> treeIds, @Param("recordStatus") Integer recordStatus);
}
