package com.syc.slm.slmbi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * slm-bi
 * 部门DTO
 *
 * @author : lin
 * @date : 2021-03-25 20:39
 **/
@Data
@ApiModel(description = "部门DTO")
@EqualsAndHashCode(callSuper=false)
public class DeptDTO {
    @ApiModelProperty(value = "部门id")
    private String id;
    @ApiModelProperty(value = "部门名称")
    private String deptName;
    @ApiModelProperty(value = "部门父级id")
    private String parentId;
}
