package com.syc.slm.slmbi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * slm-bi
 * 仪表板dto
 *
 * @author : lin
 * @date : 2021-03-25 16:47
 **/
@ApiModel(value = "仪表板分组DTO", description = "仪表板分组DTO")
@Data
@EqualsAndHashCode(callSuper = false)
public class InstrumentPanelGroupDTO {
    @ApiModelProperty(value = "仪表板分组主键", required = true)
    private String id;
    @ApiModelProperty(value = "仪表板分组父级主键，非顶级分组时必填")
    private String parentId;
    @ApiModelProperty(value = "仪表板分组名称", required = true)
    private String name;
}
