package com.syc.slm.slmbi.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * slm-bi
 * 仪表板实体类
 *
 * @author : lin
 * @date : 2021-03-25 16:18
 **/
@ApiModel(description = "仪表板entity")
@Data
@EqualsAndHashCode(callSuper=true)
@TableName("instrument_panel")
public class InstrumentPanel extends BaseEntity<InstrumentPanel>{
    @ApiModelProperty(value = "仪表板名称")
    private String name;
    @ApiModelProperty(value = "仪表板归属分组")
    private String groupId;
    @ApiModelProperty(value = "访问权限")
    private String accessPermission;
    @ApiModelProperty(value = "发布状态")
    private String published;

    public InstrumentPanel() {
    }

    public InstrumentPanel(String id, String name, String groupId, String accessPermission, String published) {
        super.id=id;
        this.name = name;
        this.groupId = groupId;
        this.accessPermission = accessPermission;
        this.published = published;
    }
}
