package com.syc.slm.slmbi.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 仪表板草稿
 *
 * @author lin
 * @date 2021-04-01 10:52:44
 */
@Data
@TableName("instrument_panel_draft")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "仪表板草稿")
public class InstrumentPanelDraft extends BaseEntity<InstrumentPanelDraft> {

    /**
     * 仪表板名字
     */
    @ApiModelProperty(value = "仪表板名字")
    private String name;
    /**
     * 仪表板归属分组
     */
    @ApiModelProperty(value = "仪表板归属分组")
    private String groupId;
    /**
     * 访问权限
     */
    @ApiModelProperty(value = "访问权限")
    private String accessPermission;
    /**
     * 状态（发布，下线）
     */
    @ApiModelProperty(value = "状态（发布，下线）")
    private String published;

    @ApiModelProperty(value = "仪表板id")
    private String panelId;

}
