package com.syc.slm.slmbi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * slm-bi
 * 部门vo
 *
 * @author : lin
 * @date : 2021-03-25 20:39
 **/
@Data
@ApiModel(value = "部门vo",description = "部门vo")
@EqualsAndHashCode(callSuper=false)
public class DeptVo {
    @ApiModelProperty(value = "部门id")
    private String id;
    @ApiModelProperty(value = "部门名称")
    private String name;
    @ApiModelProperty(value = "部门父级id")
    private String parentNodeId;

    private String platformId;

    private String appId;
}
