package com.syc.slm.slmbi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * slm-bi
 * 变量历史数据Vo
 * @author : lin
 * @date : 2021-03-30 15:29
 **/

@Data
@ApiModel(value = "变量历史数据Vo")
@EqualsAndHashCode(callSuper=false)
public class HistoryVariableVo {

    @ApiModelProperty(value = "所属设备id")
    private String deviceId;
    @ApiModelProperty(value = "所属设备名称")
    private String deviceName;
    @ApiModelProperty(value = "工作状态")
    private String workStatus;
    @ApiModelProperty(value = "时间")
    private String time;
    @ApiModelProperty(value = "变量id")
    private String variableId;
    @ApiModelProperty(value = "变量code")
    private String variableCode;
    @ApiModelProperty(value = "变量名称")
    private String variableName;

    @ApiModelProperty(value = "合计值")
    private BigDecimal sum;
    @ApiModelProperty(value = "平均值")
    private BigDecimal avg;
    @ApiModelProperty(value = "最大值")
    private BigDecimal max;
    @ApiModelProperty(value = "最小值")
    private BigDecimal min;
}
