package com.syc.slm.slmbi.vo;

import com.syc.slm.slmbi.entity.InstrumentPanel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * slm-bi
 * 仪表板样式，数据配置显示类
 *
 * @author : lin
 * @date : 2021-03-25 15:39
 **/
@Data
@ApiModel(value = "仪表板显示类vo",description = "仪表板显示类vo")
@EqualsAndHashCode(callSuper=true)
public class InstrumentPanelVo extends InstrumentPanel {
    @ApiModelProperty("分组名称")
    private String groupName;
    @ApiModelProperty("是否有待发布版本，有值就有，空就没有")
    private String hasWaitPublish;
}
