package com.syc.slm.slmbi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * slm-bi
 * 仪表板分组tree vo
 *
 * @author : lin
 * @date : 2021-03-30 09:36
 **/

@Data
@ApiModel(value = "仪表板分组tree vo")
@EqualsAndHashCode(callSuper = false)
public class PanelTreeNodeVo {
    @ApiModelProperty(value = "分组或者仪表板主键")
    private String id;
    @ApiModelProperty(value = "父级id")
    private String parentId;
    @ApiModelProperty(value = "节点名称")
    private String name;
    @ApiModelProperty(value = "节点类型")
    private String nodeType;
    @ApiModelProperty(value = "组件对应key,分组跟仪表板该字段为空")
    private String assemblyKey;
}
