package com.syc.slm.slmbi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * slm-bi
 * 实时变量查询vo
 * @author : lin
 * @date : 2021-03-30 14:22
 **/
@Data
@ApiModel(value = "实时变量查询vo")
@EqualsAndHashCode(callSuper=false)
public class RealTimeVariableVo {
    @ApiModelProperty(value = "所属设备id")
    private String deviceId;
    @ApiModelProperty(value = "所属设备名称")
    private String deviceName;
    @ApiModelProperty(value = "工作状态")
    private String workStatus;
    @ApiModelProperty(value = "时间")
    private String time;
    @ApiModelProperty(value = "变量id")
    private String variableId;
    @ApiModelProperty(value = "变量code")
    private String variableCode;
    @ApiModelProperty(value = "变量名称")
    private String variableName;
}
