package com.syc.slm.slmbi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * slm-bi
 * 用户vo
 *
 * @author : lin
 * @date : 2021-03-25 20:48
 **/
@Data
@ApiModel(value = "用户信息vo",description = "用户信息vo")
@EqualsAndHashCode(callSuper=false)
public class UserVo {
    @ApiModelProperty(value = "用户id")
    private String id;
    @ApiModelProperty(value = "用户名称")
    private String name;
    @ApiModelProperty(value = "仪表板id")
    private String instrumentPanelId;
    @ApiModelProperty(value = "存储类型，1代表岗位，2代表部门，3 代表个体用户")
    private Integer type;
    @ApiModelProperty(value = "代表岗位，部门，个体用户id")
    private String bizId;
    @ApiModelProperty(value = "代表岗位，部门，个体用户名称")
    private String bizName;
}
