package com.syc.slm.common.core.constant;

import com.google.gson.FieldNamingPolicy;
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;

/**
 * slm-bi
 * 业务常量
 *
 * @author : lin
 * @date : 2021-04-06 11:14
 **/
public final class SlmConstants {

    public static Gson gson = new GsonBuilder()
        .setDateFormat("yyyy-MM-dd HH:mm:ss").create();
    public static Gson gsonLowerCaseWithUnderscores = new GsonBuilder()
        .setDateFormat("yyyy-MM-dd HH:mm:ss").setFieldNamingPolicy(FieldNamingPolicy.LOWER_CASE_WITH_UNDERSCORES).create();
    /**
     * 启用
     */
    public static final Integer DATA_VALID = 1;
    /**
     * 禁用
     */
    public static final Integer DATA_INVALID = 0;
    /**
     * 删除
     */
    public static final Integer DATA_DELETED = -1;

}
