package com.syc.slm.slmbi.config;

import com.baomidou.mybatisplus.extension.plugins.PaginationInterceptor;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * slm-bi
 * mybatisplus 配置
 *
 * @author : lin
 * @date : 2021-03-25 14:44
 **/
@Configuration
public class MybatisPlusConfig {
    /**
     * 分页插件
     */
    @Bean
    public PaginationInterceptor paginationInterceptor() {
        return new PaginationInterceptor();
    }

//    /**
//     * 自动填充数据
//     */
//    @Bean
//    @ConditionalOnMissingBean(MateMetaObjectHandler.class)
//    public MateMetaObjectHandler mateMetaObjectHandler(){
//        MateMetaObjectHandler metaObjectHandler = new MateMetaObjectHandler();
//        log.info("MateMetaObjectHandler [{}]", metaObjectHandler);
//        return metaObjectHandler;
//    }
}
