package com.syc.slm.slmbi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * slm-bi
 * 用户DTO
 *
 * @author : lin
 * @date : 2021-03-25 20:48
 **/
@Data
@ApiModel(description = "用户DTO")
@EqualsAndHashCode(callSuper=false)
public class UserDTO {
    @ApiModelProperty(value = "用户id")
    private String id;
    @ApiModelProperty(value = "用户名称")
    private String name;
}
