package com.syc.slm.slmbi.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * slm-bi
 * 仪表板配置详情
 *
 * @author : lin
 * @date : 2021-03-25 20:16
 **/
@Data
@ApiModel(value = "仪表板配置详情")
@EqualsAndHashCode(callSuper=true)
public class InstrumentPanelConfig extends BaseEntity<InstrumentPanelConfig>{

    @ApiModelProperty(value = "主键id")
    private String id ;
    @ApiModelProperty(value = "仪表板id")
    private String panelId;
    @ApiModelProperty(value = "仪表板配置详情，包含了样式，数据配置")
    private String configDetails;
    @ApiModelProperty(value = "发布状态")
    private String published;
}
