package com.syc.slm.slmbi.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * slm-bi
 * 仪表板分组
 *
 * @author : lin
 * @date : 2021-03-25 15:46
 **/
@ApiModel(description = "仪表板分组entity")
@Data
@EqualsAndHashCode(callSuper=true)
@TableName("instrument_panel_group")
public class InstrumentPanelGroup extends BaseEntity<InstrumentPanelGroup>{
    @ApiModelProperty(value = "仪表板分组主键")
    private String id;
    @ApiModelProperty(value = "仪表板分组父级主键")
    private String parentId;
    @ApiModelProperty(value = "仪表板分组名称")
    private String name;
}
