package com.syc.slm.slmbi.function;

import java.io.Serializable;

/**
 * @author lin
 * @date 2021/4/1
 */
public interface Function2<T1,T2,R> extends Serializable {
	R get(T1 t1, T2 t2);

	@SafeVarargs
	static <T1,T2>Function2<T1,T2,?>[] of(Function2<T1,T2,?>... funcs){
		return funcs;
	}
}
