package com.syc.slm.slmbi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * slm-bi
 * 变量所属设备vo
 *
 * @author : lin
 * @date : 2021-03-25 20:45
 **/
@Data
@ApiModel(value = "变量所属设备vo",description = "变量所属设备vo")
@EqualsAndHashCode(callSuper=false)
public class VariableDeviceVo {


    @ApiModelProperty(value = "简称")
    private String breviaryName;
    @ApiModelProperty(value = "质保时间")
    private Long warrantyTime;
    private String ancestorName;
    @ApiModelProperty(value = "设备编号")
    private String code;
    @ApiModelProperty(value = "质保状态   1保内; 2保外;3未知;")
    private String warrantyStatus;
    @ApiModelProperty(value = "设备名称")
    private String name;
    private String pline;
    @ApiModelProperty(value = "设备Id")
    private String id;
    @ApiModelProperty(value = "设备位置")
    private String position;
    @ApiModelProperty(value = "设备Id")
    private String modelNo;

}
