package com.syc.slm.slmbi.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * slm-bi
 * 变量vo
 *
 * @author : lin
 * @date : 2021-03-25 20:45
 **/
@Data
@ApiModel(value = "变量vo",description = "变量vo")
@EqualsAndHashCode(callSuper=false)
public class VariableVo {
    @ApiModelProperty(value = "所属设备id")
    private String equipmentId;
    @ApiModelProperty(value = "所属设备名称")
    private String equipmentName;
    @ApiModelProperty(value = "所属设备编号")
    private String equipmentCode;
    @ApiModelProperty(value = "数据类型")
    private String type;
   // @ApiModelProperty(value = "")
    private String cusVariableType;
    @ApiModelProperty(value = "单位")
    private String unit;
    @ApiModelProperty(value = "变量类型")
    private Integer varType;
    @ApiModelProperty(value = "变量名称")
    private String name;
    @ApiModelProperty(value = "来源")
    private Integer from;
    @ApiModelProperty(value = "变量id")
    private String id;
    @ApiModelProperty(value = "所属客户名称")
    private String customerName;
    @ApiModelProperty(value = "所属客户id")
    private String customerId;
    @ApiModelProperty(value = "描述")
    private String desc;


}
